<?php
/*
Plugin Name: Titlematic
Plugin URI: http://familypress.net/2009/titlematic-plugin-01titlematic-plugin-01/
Description: Set a default post title for untitled posts based on the first 25 characters of a post. Based on the Prologue theme ( http://wordpress.org/extend/themes/prologue ) and Luke's Default Post Title plugin for WordPress MU ( http://thunderlounge.com/wordpress/plugins/default-post-title.html ).
Author: Isaac Wedin
Author URI: http://familypress.net/
Version: 0.1

*/

function fp_defaultit($post_title) {
	if( !empty($post_title) ) {
		return $post_title;
	} else {
		if (!empty($_REQUEST['content'])) {
			$post_content = $_REQUEST['content'];
			$char_limit = 25; // edit the title length here
			$post_title = strip_tags( $post_content );
			if( strlen( $post_title ) > $char_limit ) {
				$post_title = substr( $post_title, 0, $char_limit ) . ' ... ';
			}
		} else {
			$post_title = 'Untitled Post'; // edit the fallback default title here
		}
		return $post_title;
	}
}

add_filter('title_save_pre', 'fp_defaultit');

?>
